Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046700 - [abrt] synergy: CArchMultithreadPosix::closeMutex(): synergys killed by SIGABRT
Summary: [abrt] synergy: CArchMultithreadPosix::closeMutex(): synergys killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fef634ef6a9c3e76c524f2e3c3d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 16:19 UTC by Paolo Inaudi
Modified: 2015-02-17 19:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:47:29 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.26 KB, text/plain)
2013-12-26 16:19 UTC, Paolo Inaudi
no flags Details
File: cgroup (154 bytes, text/plain)
2013-12-26 16:19 UTC, Paolo Inaudi
no flags Details
File: core_backtrace (2.92 KB, text/plain)
2013-12-26 16:19 UTC, Paolo Inaudi
no flags Details
File: dso_list (1.73 KB, text/plain)
2013-12-26 16:19 UTC, Paolo Inaudi
no flags Details
File: environ (1.59 KB, text/plain)
2013-12-26 16:19 UTC, Paolo Inaudi
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-26 16:19 UTC, Paolo Inaudi
no flags Details
File: maps (12.03 KB, text/plain)
2013-12-26 16:19 UTC, Paolo Inaudi
no flags Details
File: open_fds (190 bytes, text/plain)
2013-12-26 16:20 UTC, Paolo Inaudi
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-12-26 16:20 UTC, Paolo Inaudi
no flags Details

Description Paolo Inaudi 2013-12-26 16:19:22 UTC
Version-Release number of selected component:
synergy-1.4.10-1.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        synergys -f --config /home/fedolo/.quicksynergy/synergy.conf
crash_function: CArchMultithreadPosix::closeMutex
executable:     /usr/bin/synergys
kernel:         3.12.5-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Dec 26 16:05:15 paolo-desktop abrt-hook-ccpp[4287]: Saved core dump of pid 2039 (/usr/bin/synergys) to /var/tmp/abrt/ccpp-2013-12-26-16:05:15-2039 (29192192 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 CArchMultithreadPosix::closeMutex at /usr/src/debug/synergy-1.4.10-Source/src/lib/arch/CArchMultithreadPosix.cpp:289
 #5 CXWindowsEventQueueBuffer::~CXWindowsEventQueueBuffer at /usr/src/debug/synergy-1.4.10-Source/src/lib/platform/CXWindowsEventQueueBuffer.cpp:73
 #7 CEventQueue::adoptBuffer at /usr/src/debug/synergy-1.4.10-Source/src/lib/base/CEventQueue.cpp:133
 #8 CXWindowsScreen::onError at /usr/src/debug/synergy-1.4.10-Source/src/lib/platform/CXWindowsScreen.cpp:1727
 #9 CXWindowsScreen::ioErrorHandler at /usr/src/debug/synergy-1.4.10-Source/src/lib/platform/CXWindowsScreen.cpp:1753
 #10 _XIOError at XlibInt.c:1498
 #11 _XEventsQueued at xcb_io.c:366
 #12 XPending at Pending.c:55
 #13 CXWindowsEventQueueBuffer::isEmpty at /usr/src/debug/synergy-1.4.10-Source/src/lib/platform/CXWindowsEventQueueBuffer.cpp:261
 #14 CEventQueue::getEvent at /usr/src/debug/synergy-1.4.10-Source/src/lib/base/CEventQueue.cpp:153

Comment 1 Paolo Inaudi 2013-12-26 16:19:33 UTC
Created attachment 841970 [details]
File: backtrace

Comment 2 Paolo Inaudi 2013-12-26 16:19:38 UTC
Created attachment 841971 [details]
File: cgroup

Comment 3 Paolo Inaudi 2013-12-26 16:19:42 UTC
Created attachment 841972 [details]
File: core_backtrace

Comment 4 Paolo Inaudi 2013-12-26 16:19:46 UTC
Created attachment 841973 [details]
File: dso_list

Comment 5 Paolo Inaudi 2013-12-26 16:19:50 UTC
Created attachment 841974 [details]
File: environ

Comment 6 Paolo Inaudi 2013-12-26 16:19:54 UTC
Created attachment 841975 [details]
File: limits

Comment 7 Paolo Inaudi 2013-12-26 16:19:59 UTC
Created attachment 841977 [details]
File: maps

Comment 8 Paolo Inaudi 2013-12-26 16:20:04 UTC
Created attachment 841978 [details]
File: open_fds

Comment 9 Paolo Inaudi 2013-12-26 16:20:07 UTC
Created attachment 841979 [details]
File: proc_pid_status

Comment 10 Fedora End Of Life 2015-01-09 20:57:50 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-02-17 19:47:29 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.